Skip to main content
PATCH
/
sender-ids
/
{id}
Update a pending sender ID
curl --request PATCH \
  --url https://api.robase.dev/v1/sender-ids/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notes": "<string>",
  "countries": [
    "<string>"
  ],
  "registered_entity": "<string>",
  "registration_doc_url": "<string>",
  "use_case": "<string>",
  "sample_message": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sender_id": "<string>",
  "status": "pending",
  "countries": [
    "<string>"
  ],
  "registered_entity": "<string>",
  "registration_doc_url": "<string>",
  "use_case": "<string>",
  "sample_message": "<string>",
  "rejection_reason": "<string>"
}

Authorizations

Authorization
string
header
required

Pass your API key as Authorization: Bearer rb_live_...

Path Parameters

id
string
required

Body

application/json
notes
string
countries
string[]
registered_entity
string
registration_doc_url
string
use_case
string
sample_message
string

Response

200 - application/json

OK

id
string<uuid>
sender_id
string
status
enum<string>
Available options:
pending,
approved,
rejected,
active
countries
string[]
registered_entity
string
registration_doc_url
string
use_case
string
sample_message
string
rejection_reason
string